<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Vogue
 */
global $woocommerce;
?><!DOCTYPE html><!-- Vogue Premium -->
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if ( get_theme_mod( 'vogue-site-add-side-social' ) ) : ?>
	<div class="side-aligned-social hide-side-social <?php echo ( get_theme_mod( 'vogue-side-social-look' ) ) ? sanitize_html_class( get_theme_mod( 'vogue-side-social-look' ) ) : sanitize_html_class( 'vogue-side-social-square' ); ?>">
		<?php get_template_part( '/templates/social-links' ); ?>
	</div>
<?php endif; ?>
<div id="page" class="hfeed site <?php echo sanitize_html_class( get_theme_mod( 'vogue-slider-type' ) ); ?>">
	
<?php echo ( get_theme_mod( 'vogue-site-layout' ) == 'vogue-site-boxed' ) ? '<div class="site-boxed">' : ''; ?>
	
	<?php get_template_part( '/templates/header/header' ); ?>
	
	<?php if ( is_front_page() ) : ?>
		
		<?php get_template_part( '/templates/slider/homepage-slider' ); ?>
		
	<?php endif; ?>
	
	<?php if ( is_page() && get_theme_mod( 'vogue-page-fimage-layout' ) == 'vogue-page-fimage-layout-banner' ) : ?>
		
		<?php get_template_part( '/templates/page-banner' ); ?>
		
	<?php elseif ( is_single() && get_theme_mod( 'vogue-single-page-fimage-layout' ) == 'vogue-single-page-fimage-layout-banner' ) : ?>
		
		<?php get_template_part( '/templates/page-banner-single' ); ?>
		
	<?php endif; ?>

	<div class="site-container <?php echo ( ! is_active_sidebar( 'sidebar-1' ) ) ? sanitize_html_class( 'content-no-sidebar' ) : sanitize_html_class( 'content-has-sidebar' ); ?> <?php echo ( get_theme_mod( 'vogue-titlebar-centered' ) ) ? sanitize_html_class( 'title-bar-centered' ) : ''; ?> <?php echo ( get_theme_mod( 'vogue-woocommerce-custom-cols' ) ) ? sanitize_html_class( 'vogue-woocommerce-cols-' . get_theme_mod( 'vogue-woocommerce-custom-cols' ) ) : 'vogue-woocommerce-cols-4'; ?> <?php echo ( get_theme_mod( 'vogue-shop-remove-border' ) ) ? sanitize_html_class( 'vogue-remove-product-borders' ) : ''; ?>">
