<div class="wrap vogue-upgrade-page-wrap">
    <h2 class="vogue-upgrade-page-title">
        <?php _e( 'Vogue Premium', 'vogue' ); ?>
    </h2>
    <div class="vogue-upgrade-page-inner-wrap">
        
        <h3><?php _e( 'Thank you! for upgrading to Vogue Premium', 'vogue' ); ?></h3>
        
        <p class="vogue-upgrade-p">
            <?php printf( __( '<strong>All settings for Vogue</strong> are neatly built into the <a href="%s">WordPress Customizer</a> so you can change and edit settings to view what happens before saving and making any of the changes live', 'vogue' ) , admin_url( 'customize.php' ) ); ?>
        </p>
        
        <div class="vogue-upgrade-block vogue-upgrade-block-alt">
            <div class="vogue-upgrade-block-left">
                <?php _e( 'Download a working Child Theme for Vogue', 'vogue' ); ?><br />
                <?php printf( __( 'Or learn more on creating/editing a <a href="%s" target="_blank">Child Theme</a>', 'vogue' ) , 'https://codex.wordpress.org/Child_Themes' ); ?>
            </div>
            <div class="vogue-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/documentation/vogue-child-theme/' ) ?>" target="_blank" class="vogue-upgrade-result-button">
                    <?php _e( 'Vogue Child Theme', 'vogue' ); ?>
                </a>
            </div>
        </div>
        
        <div class="vogue-upgrade-block">
            <div class="vogue-upgrade-block-left">
                <?php _e( 'We have on-growing documentation on setting up your website with the Vogue theme', 'vogue' ); ?>
            </div>
            <div class="vogue-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/documentation/' ) ?>" target="_blank" class="vogue-upgrade-result-button">
                    <?php _e( 'Documentation', 'vogue' ); ?>
                </a>
            </div>
        </div>
        
        <div class="vogue-upgrade-block vogue-upgrade-block-alt">
            <div class="vogue-upgrade-block-left">
                <?php _e( 'Have you enjoyed using Vogue?', 'vogue' ); ?><br />
                <?php printf( __( 'Please help by giving us a 5 star rating on WordPress.org :)', 'vogue' ) , 'https://kairaweb.com/' ); ?>
            </div>
            <div class="vogue-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://wordpress.org/support/theme/vogue/reviews/?rate=5#new-post' ) ?>" target="_blank" class="vogue-upgrade-result-button">
                    <?php _e( 'Rate Vogue 5 stars', 'vogue' ); ?>
                </a>
            </div>
        </div>
        
        <div class="vogue-upgrade-block">
            <div class="vogue-upgrade-block-left">
                <?php _e( 'Needing help with your theme?', 'vogue' ); ?>
                <?php printf( __( '<a href="%s" target="_blank">Codeable</a> offers a great service setting up and customizing themes', 'vogue' ) , 'https://kairaweb.com/go/codeable/' ); ?>
            </div>
            <div class="vogue-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://kairaweb.com/go/codeable/' ) ?>" target="_blank" class="vogue-upgrade-result-button">
                    <?php _e( 'Codeable', 'vogue' ); ?>
                </a>
            </div>
        </div>
        
        <div class="vogue-upgrade-block vogue-upgrade-block-alt">
            <div class="vogue-upgrade-block-left">
                <?php _e( 'We\'ve also built some WooCommerce plugins that you might find useful... Have a look!', 'vogue' ); ?>
            </div>
            <div class="vogue-upgrade-block-right">
                <a href="<?php echo esc_url( 'https://codecanyon.net/user/cxthemes/portfolio/?ref=Kaira' ) ?>" target="_blank" class="vogue-upgrade-result-button">
                    <?php _e( 'WooCommerce Plugins', 'vogue' ); ?>
                </a>
            </div>
        </div>
        
        <div class="vogue-upgrade-footer"><?php printf( __( 'Theme: Vogue, built by <a href="%s" target="_blank">Kaira</a>', 'vogue' ) , 'https://kairaweb.com/' ); ?></div>
    </div>
</div>