<?php
/**
 * The template for displaying search results pages.
 *
 * @package Vogue
 */
$vogue_blog_columns = 'blog-grid-column-three';
if ( get_theme_mod( 'vogue-blog-columns' ) )
	$vogue_blog_columns = get_theme_mod( 'vogue-blog-columns' );

get_header(); ?>

	<section id="primary" class="content-area <?php echo ( get_theme_mod( 'vogue-blog-search-full-width', false ) ) ? sanitize_html_class( 'content-area-full' ) : ''; ?>">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'vogue' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header><!-- .page-header -->
			
			<?php
			// IF blog is grid layout
			echo ( get_theme_mod( 'vogue-blog-layout' ) == 'blog-grid-layout' ) ? '<div class="blog-grid-layout-wrap blog-grid-layout-wrap-remove"><div class="blog-grid-layout-wrap-inner ' . sanitize_html_class( $vogue_blog_columns ) . '">' : ''; ?>
			
				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'templates/contents/content', 'search' );
					?>

				<?php endwhile; ?>
				
			<?php
			// IF blog is grid layout
			echo ( get_theme_mod( 'vogue-blog-layout' ) == 'blog-grid-layout' ) ? '<div class="clearboth"></div></div></div>' : ''; ?>

			<?php
			if ( function_exists( 'wp_paginate' ) ):
			    wp_paginate();  
			else :
				the_posts_navigation();
			endif; ?>

		<?php else : ?>

			<?php get_template_part( 'templates/contents/content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

	<?php if ( get_theme_mod( 'vogue-blog-search-full-width', false ) ) : ?>
        <!-- No Sidebar -->
    <?php else : ?>
        <?php get_sidebar(); ?>
    <?php endif; ?>
    
    <div class="clearboth"></div>

<?php get_footer(); ?>
