<?php
/**
 * The template part for displaying results in search pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Vogue
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="blog-post-inner <?php echo ( get_theme_mod( 'vogue-blog-img-shape' ) == 'blog-img-shape-round' ) ? sanitize_html_class( 'blog-post-img-round' ) : ''; ?>">
	
		<?php if ( has_post_thumbnail() ) :
			$vogue_image_cut = customizer_library_get_default( 'vogue-blog-list-img-cut' );
			if ( get_theme_mod( 'vogue-blog-list-img-cut' ) ) {
				$vogue_image_cut = get_theme_mod( 'vogue-blog-list-img-cut' );
			} ?>
		
			<?php if ( get_theme_mod( 'vogue-blog-img-shape' ) == 'blog-img-shape-square' || get_theme_mod( 'vogue-blog-img-shape' ) == 'blog-img-shape-round' ) : ?>
				<a href="<?php the_permalink() ?>" class="post-loop-thumbnail post-loop-thumbnail-img" <?php echo 'style="background-image: url(' . esc_url( get_the_post_thumbnail_url( $post->ID, $vogue_image_cut ) ) . ');"'; ?>>
					<img src="<?php echo get_template_directory_uri(); ?>/images/blank_blocks_img.png" alt="<?php the_title(); ?>" />
				</a>
			<?php else : ?>
				<a href="<?php the_permalink() ?>" class="post-loop-thumbnail">
					<?php the_post_thumbnail( $vogue_image_cut ); ?>
				</a>
			<?php endif; ?>
			
		<?php endif; ?>
		
		<div class="post-loop-content">
			
			<header class="entry-header">
				<?php the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
				
				<?php if ( ! get_theme_mod( 'vogue-blog-remove-meta' ) ) : ?>
					<?php if ( 'post' == get_post_type() ) : ?>
					<div class="entry-meta">
						<?php vogue_posted_on(); ?>
					</div><!-- .entry-meta -->
					<?php endif; ?>
				<?php endif; ?>
			</header><!-- .entry-header -->
			
			<?php if ( ! get_theme_mod( 'vogue-blog-remove-excerpt' ) ) : ?>
				<div class="entry-content">
					
					<?php if ( get_theme_mod( 'vogue-article-content-display' ) == 'blog-display-summary' ) : ?>
						
						<?php
						$article_content = get_the_content();
						$word_count = 40;
						if ( get_theme_mod( 'vogue-article-content-word-count' ) ) {
							$word_count = get_theme_mod( 'vogue-article-content-word-count' );
						}
						$read_more_txt = '...Read More';
						if ( get_theme_mod( 'vogue-article-content-readmore' ) ) {
							$read_more_txt = get_theme_mod( 'vogue-article-content-readmore' );
						}
						
						$trimmed_content = wp_trim_words( $article_content, $word_count, '<a href="'.get_the_permalink().'" class="readmore">'.$read_more_txt.'</a>' );
						echo $trimmed_content; ?>
						
					<?php else : ?>
						
						<?php
						if ( has_excerpt() ) :
							the_excerpt();
						else :
							/* translators: %s: Name of current post */
							the_content( sprintf(
								wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'vogue' ), array( 'span' => array( 'class' => array() ) ) ),
								the_title( '<span class="screen-reader-text">"', '"</span>', false )
							) );
						endif;
						?>
						
					<?php endif; ?>
					
					<?php
						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'vogue' ),
							'after'  => '</div>',
						) );
					?>
				</div><!-- .entry-content -->
			<?php endif; ?>
			
			<?php if ( ! get_theme_mod( 'vogue-blog-remove-tags-cats' ) ) : ?>
				<footer class="entry-footer">
					<?php vogue_entry_footer(); ?>
				</footer><!-- .entry-footer -->
			<?php endif; ?>
			
		</div>
		<div class="clearboth"></div>

	</div>
	
</article><!-- #post-## -->