<?php
if ( get_theme_mod( 'vogue-slider-type' ) == 'vogue-no-slider' ) : ?>
    
    <!-- No Slider -->
    
<?php
elseif ( get_theme_mod( 'vogue-slider-type' ) == 'vogue-meta-slider' ) : ?>
    
    <?php
    $slider_code = '';
    if ( get_theme_mod( 'vogue-meta-slider-shortcode' ) ) {
        $slider_code = get_theme_mod( 'vogue-meta-slider-shortcode' );
    } ?>
    
    <?php echo ( $slider_code ) ? do_shortcode( sanitize_text_field( $slider_code ) ) : ''; ?>
    
<?php else : ?>
    
    <?php
    $slider_cats = '';
    if ( get_theme_mod( 'vogue-slider-cats' ) ) {
        $slider_cats = get_theme_mod( 'vogue-slider-cats' );
    }
    $slider_duration = 6500;
    if ( get_theme_mod( 'vogue-slider-duration' ) ) {
        $slider_duration = get_theme_mod( 'vogue-slider-duration' );
    } ?>
    
    <?php if( $slider_cats ) : ?>
        
        <?php $slider_query = new WP_Query( 'cat=' . esc_html( $slider_cats ) . '&posts_per_page=-1&orderby=date&order=DESC' ); ?>
        
        <?php if ( $slider_query->have_posts() ) : ?>

            <div class="home-slider-wrap <?php echo ( get_theme_mod( 'vogue-slider-enable-padding' ) ) ? sanitize_html_class( 'home-slider-wrap-pad' ) : ''; ?> home-slider-remove" data-auto="<?php echo ( get_theme_mod( 'vogue-slider-auto-scroll' ) ) ? esc_attr( 'false' ) : esc_attr( $slider_duration ); ?>" data-scroll="<?php echo ( get_theme_mod( 'vogue-slider-scroll-effect' ) ) ? esc_attr( get_theme_mod( 'vogue-slider-scroll-effect' ) ) : 'uncover-fade'; ?>" data-poh="<?php echo ( get_theme_mod( 'vogue-slider-pause-oh' ) ) ? esc_attr( 'true' ) : esc_attr( 'false' ); ?>">
                <div class="home-slider-prev"><i class="fa fa-angle-left"></i></div>
                <div class="home-slider-next"><i class="fa fa-angle-right"></i></div>
                
                <div class="home-slider">
                    
                    <?php while ( $slider_query->have_posts() ) : $slider_query->the_post();
                        $slider_thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
                        $slide_custom_link = get_post_meta( $post->ID, 'vogue-meta-box-slider-link', true ); ?>
                        
                        <?php if ( get_theme_mod( 'vogue-slider-linkto-post' ) ) : ?>
                        <a class="home-slider-block" href="<?php echo ( $slide_custom_link ) ? esc_url( $slide_custom_link ) : the_permalink(); ?>" <?php echo ( has_post_thumbnail() ) ? 'style="background-image: url(' . esc_url( $slider_thumbnail['0'] ) . ');"' : ''; ?>>
                        <?php else : ?>
                        <div class="home-slider-block"<?php echo ( has_post_thumbnail() ) ? ' style="background-image: url(' . esc_url( $slider_thumbnail['0'] ) . ');"' : ''; ?>>
                        <?php endif; ?>
                        
                            <?php if ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-small' ) : ?>
                                <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_small.gif" />
                            <?php elseif ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-large' ) : ?>
                                <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_large.gif" />
                            <?php else : ?>
                                <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_medium.gif" />
                            <?php endif; ?>
                            
                            <?php if ( !get_theme_mod( 'vogue-slider-remove-title' ) ) : ?>
                            
                                <div class="home-slider-block-inner">
                                    <div class="home-slider-block-bg">
                                        <h3>
                                            <?php the_title(); ?>
                                        </h3>
                                        <?php if ( !get_theme_mod( 'vogue-slider-remove-title-sub-txt' ) ) : ?>
                                            <?php if ( has_excerpt() ) : ?>
                                                <p><?php the_excerpt(); ?></p>
                                            <?php else : ?>
                                                <p><?php the_content(); ?></p>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                
                            <?php endif; ?>
                            
                        <?php if ( get_theme_mod( 'vogue-slider-linkto-post' ) ) : ?>
                        </a>
                        <?php else : ?>
                        </div>
                        <?php endif; ?>
                    
                    <?php endwhile; ?>
                    
                </div>
                <?php if ( !get_theme_mod( 'vogue-slider-remove-pagination' ) ) : ?>
                    <div class="home-slider-pager"></div>
                <?php endif; ?>
                <?php do_action ( 'vogue_after_default_slider' ); ?>
            </div>
            
        <?php endif; wp_reset_postdata(); ?>
        
    <?php else : ?>
        
        <div class="home-slider-wrap <?php echo ( get_theme_mod( 'vogue-slider-enable-padding' ) ) ? sanitize_html_class( 'home-slider-wrap-pad' ) : ''; ?> home-slider-remove" data-auto="<?php echo ( get_theme_mod( 'vogue-slider-auto-scroll' ) ) ? esc_attr( 'false' ) : esc_attr( $slider_duration ); ?>" data-scroll="<?php echo ( get_theme_mod( 'vogue-slider-scroll-effect' ) ) ? esc_attr( get_theme_mod( 'vogue-slider-scroll-effect' ) ) : 'uncover-fade'; ?>" data-poh="<?php echo ( get_theme_mod( 'vogue-slider-pause-oh' ) ) ? esc_attr( 'true' ) : esc_attr( 'false' ); ?>">
            
            <div class="home-slider-wrap-hint">
                <?php _e( 'See how to', 'vogue' ); ?> <a href="https://kairaweb.com/documentation/setting-up-the-default-slider/" target="_blank"><?php _e( 'Add your own slides here', 'vogue' ); ?></a>
            </div>

            <div class="home-slider-prev"><i class="fa fa-angle-left"></i></div>
            <div class="home-slider-next"><i class="fa fa-angle-right"></i></div>
                
            <div class="home-slider">
                
                <div class="home-slider-block" style="background-image: url(<?php echo get_stylesheet_directory_uri() ?>/images/demo/slider_default_01.jpg);">
                    
                    <?php if ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-small' ) : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_small.gif" />
                    <?php elseif ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-large' ) : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_large.gif" />
                    <?php else : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_medium.gif" />
                    <?php endif; ?>
                    
                    <?php if ( !get_theme_mod( 'vogue-slider-remove-title' ) ) : ?>
                        
                        <div class="home-slider-block-inner">
                            <div class="home-slider-block-bg">
                                <h3>
                                    <?php _e( 'Highly Customizable', 'vogue' ); ?>
                                </h3>
                                <?php if ( !get_theme_mod( 'vogue-slider-remove-title-sub-txt' ) ) : ?>
                                    <p><?php _e( 'Integrated with WooCommerce, SiteOrigin\'s Page Builder, Contact Form 7 and more...', 'vogue' ); ?></p>
                                <?php endif; ?>
                            </div>
                        </div>
                        
                    <?php endif; ?>
                    
                </div>
                
                <div class="home-slider-block" style="background-image: url(<?php echo get_stylesheet_directory_uri() ?>/images/demo/slider_default_02.jpg);">
                    
                    <?php if ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-small' ) : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_small.gif" />
                    <?php elseif ( get_theme_mod( 'vogue-slider-size' ) == 'vogue-slider-size-large' ) : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_large.gif" />
                    <?php else : ?>
                        <img src="<?php echo get_template_directory_uri() ?>/images/slider_blank_img_medium.gif" />
                    <?php endif; ?>
                    
                    <?php if ( !get_theme_mod( 'vogue-slider-remove-title' ) ) : ?>
                        
                        <div class="home-slider-block-inner">
                            <div class="home-slider-block-bg">
                                <h3>
                                    <?php _e( 'Beautiful online store', 'vogue' ); ?>
                                </h3>
                                <?php if ( !get_theme_mod( 'vogue-slider-remove-title-sub-txt' ) ) : ?>
                                    <p><?php _e( 'Easily create your online presence with our Vogue WordPress theme', 'vogue' ); ?></p>
                                <?php endif; ?>
                            </div>
                        </div>
                        
                    <?php endif; ?>
                    
                </div>
                
            </div>
            <?php if ( !get_theme_mod( 'vogue-slider-remove-pagination' ) ) : ?>
                <div class="home-slider-pager"></div>
            <?php endif; ?>
            
        </div>

    <?php endif; ?>
    
<?php endif; ?>